// src/api/search.ts
import request from '@/utils/request'


// 特定模块搜索

// 搜索保险公司
export function searchInsurers(params) {
  return request({
    url: '/insurance/base/api/insuranceCompany/page',
    method: 'POST',
    params
  })
}

// 搜索产品
export function searchProducts(params) {
  return request({
    url: '/product/base/api/product/search',
    method: 'POST',
    params
  })
}

// 获取对账公司
export function searchReconciliationCompanies(params) {
  return request({
    url: '/insurance/base/api/insuranceReconciliationCompany/page',
    method: 'POST',
    params
  })
}

// 获取签单员列表
export function searchSigners(params) {
  return request({
    url: '/insurance/base/api/userSignExpand/page',
    method: 'POST',
    params
  })
}

// 获取转介人列表
export function searchIntermediaries(params) {
  return request({
    url: '/insurance/base/api/userSaleExpand/page',
    method: 'POST',
    params
  })
}
